#include "udpl_dll.h"
#include "udplscci.h"

//
// override
//

//
// サウンドチップを返す
//
SoundChip* __stdcall SoundInterface_udpl::getSoundChip(DWORD dNum)
{
	SoundChip *ret = NULL;

	if (dNum < chipList.size()) {
		ret = chipList[dNum];
	}

	return ret;
}

//
// 接続してるサウンドチップの数を返す
//
DWORD __stdcall SoundInterface_udpl::getSoundChipCount()
{
	return chipList.size();
}

//
// コマンドを投げる
//
BOOL __stdcall SoundInterface_udpl::setData(BYTE *pData, DWORD dSendDataLen)
{
	return TRUE;
}

//
// 以下親を呼ぶだけ
//
BOOL __stdcall SoundInterface_udpl::isSupportLowLevelApi()
{
	return TRUE;
}

DWORD __stdcall SoundInterface_udpl::getData(BYTE *pData, DWORD dGetDataLen)
{
	return 0;
}

BOOL __stdcall SoundInterface_udpl::setDelay(DWORD dDelay)
{
	return TRUE;
}

DWORD __stdcall SoundInterface_udpl::getDelay()
{
	return 0;
}

BOOL __stdcall SoundInterface_udpl::reset()
{
	return TRUE;
}

BOOL __stdcall SoundInterface_udpl::init()
{
	return TRUE;
}
